relaxngcc.ant

## Class RelaxNGCCTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - relaxngcc.ant.RelaxNGCCTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class RelaxNGCCTask
    extends org.apache.tools.ant.Task

Ant task that invokes RelaxNGCC.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Constructor Summary

Constructors
Constructor and Description
`RelaxNGCCTask()`

### Method Summary

Methods
`void` `addDepends(org.apache.tools.ant.types.FileSet fs)` Nested <depends> element.
`void` `addProduces(org.apache.tools.ant.types.FileSet fs)` Nested <produces> element.
`void` `execute()`
`void` `setAutomata(java.lang.String dir)`
`void` `setSource(java.lang.String rngFile)`
`void` `setTargetdir(java.io.File file)`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RelaxNGCCTask

    public RelaxNGCCTask()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`

#### setSource

    public void setSource(java.lang.String rngFile)

#### setTargetdir

    public void setTargetdir(java.io.File file)

#### setAutomata

    public void setAutomata(java.lang.String dir)

#### addDepends

    public void addDepends(org.apache.tools.ant.types.FileSet fs)

Nested <depends> element.

#### addProduces

    public void addProduces(org.apache.tools.ant.types.FileSet fs)

Nested <produces> element.